Bug 186963 - [patch] ports-mgmt/portrac: reports no updates to installed ports since switch to pkgng
[patch] ports-mgmt/portrac: reports no updates to installed ports since switc...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-22 21:20 UTC by lchen
Modified: 2014-08-11 20:37 UTC (History)
4 users (show)

See Also:


Attachments
patch (1.11 KB, patch)
2014-02-22 21:20 UTC, lchen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lchen 2014-02-22 21:20:00 UTC
	
	After I switched to pkgng and cleaned up /var/db/pkg, portrac showed
	there had been no updates for the last few days.  Knowing that I
	updated ports on another system that I hadn't updated at home, I
	concluded that there's a problem with portrac.

	Found that it doesn't know about pkgng.

Fix: Taking a lead from ports-mgmt/pkg_cutleaves, I created the patch below
	to make portrac work again for me.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-22 21:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-22 21:20:08 UTC
Maintainer of ports-mgmt/portrac,

Please note that PR ports/186963 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186963

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 John Marino freebsd_committer 2014-07-11 23:56:44 UTC
Reassign to maintainer (lost during bugzilla conversion)
Comment 4 John Marino freebsd_committer 2014-08-11 10:41:22 UTC
Maintainer hasn't responded since february, pinged twice, move diff to patch-ready.  Maintainer approval no longer required.
Comment 5 commit-hook freebsd_committer 2014-08-11 20:36:45 UTC
A commit references this bug:

Author: pi
Date: Mon Aug 11 20:36:37 UTC 2014
New revision: 364661
URL: http://svnweb.freebsd.org/changeset/ports/364661

Log:
  ports-mgmt/portrac: fix port for pkgng

  PR:		186963
  Submitted by:	lchen@zen.lhaven.homeip.net
  Approved by:	mgp@e-soul.org (maintainer timeout)

Changes:
  head/ports-mgmt/portrac/Makefile
  head/ports-mgmt/portrac/files/
  head/ports-mgmt/portrac/files/extra-patch-PortChecker.cc
Comment 6 Kurt Jaeger freebsd_committer 2014-08-11 20:37:23 UTC
Committed, thanks!